Subject: bug#41962: closed (Re: bug#41962: Errors in man coreutils pages)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jun 2020 21:48:02 +0000

Your bug report

#41962: Errors in man coreutils pages

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41962: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41962
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41962: Errors in man coreutils pages
From: Pádraig Brady <[email-masked]>
To: Helge Kreutzmann <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Jun 2020 22:47:06 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 20/06/2020 18:56, Helge Kreutzmann wrote:
> Hello Pádraig,
> On Sat, Jun 20, 2020 at 06:25:25PM +0100, Pádraig Brady wrote:
>> On 20/06/2020 07:48, Helge Kreutzmann wrote:
>>
>> Thanks for reporting these issues.
>> They should be addressed in the attached.
> 
> Thanks for your quick reply.
> 
>>> Man page: rm.1
>>> Issue: FIXME I<> → B<>
>>>
>>> "B<--preserve-root>[=I<\\,all\\/>]"
>>
>> The 'I' is auto generated by help2man and consistent with other uses.
>> What's the specific issue here?
> 
> Well, don't mind if it is autogenerated; usually parameters which are
> variables (i.e. can be changed) get a I<>, while parameters which are
> fixed strings get a B<>; but again, if it is from help2man than it is
> outside your domain.

Pushed.
Marking as done.

thanks again,
Pádraig

Subject: Errors in man coreutils pages
From: Helge Kreutzmann <[email-masked]>
To: [email-masked]
Date: Sat, 20 Jun 2020 08:48:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear coreutils maintainer,
the manpage-l10n project maintains a large number of translations of
man pages both from a large variety of sources (including coreutils) as
well for a large variety of target languages.

During their work translators notice different possible issues in the
original (english) man pages. Sometimes this is a straightforward
typo, sometimes a hard to read sentence, sometimes this is a
convention not held up and sometimes we simply do not understand the
original.

We use several distributions as sources and update regularly (at
least every 2 month). This means we are fairly recent (some
distributions like archlinux also update frequently) but might miss
the latest upstream version once in a while, so the error might be
already fixed. We apologize and ask you to close the issue immediately
if this should be the case, but given the huge volume of projects and
the very limited number of volunteers we are not able to double check
each and every issue.

Secondly we translators see the manpages in the neutral po format,
i.e. converted and harmonized, but not the original source (be it man,
groff, xml or other). So we cannot provide a true patch (where
possible), but only an approximation which you need to convert into
your source format.

Finally the issues I'm reporting have accumulated over time and are
not always discovered by me, so sometimes my description of the
problem my be a bit limited - do not hesitate to ask so we can clarify
them.

I'm now reporting the errors for your project. If future reports
should use another channel, please let me know.

***

Man page: chmod.1
Issue: Missing full stop at end

"For directories B<chmod> preserves set-user-ID and set-group-ID bits unless "
"you explicitly specify otherwise.  You can set or clear the bits with "
"symbolic modes like B<u+s> and B<g-s>.  To clear these bits for directories "
"with a numeric mode requires an additional leading zero, or leading = like "
"B<00755> , or B<=755>"
--
Man page: expand.1
Issue: Missing full stop at end and after "positions"

"use comma separated list of tab positions The last specified position can be "
"prefixed with '/' to specify a tab size to use after the last explicitly "
"specified tab stop.  Also a prefix of '+' can be used to align remaining tab "
"stops relative to the last specified tab stop instead of the first column"
--
Man page: numfmt.1
Issue: Missing comma before "see"

"replace the numbers in these input fields (default=1)  see FIELDS below"
--
Man page: rm.1
Issue: FIXME I<> → B<>

"B<--preserve-root>[=I<\\,all\\/>]"
--
Man page: rm.1
Issue: shred → B<shred>(1)
 
"Note that if you use rm to remove a file, it might be possible to recover "
"some of its contents, given sufficient expertise and/or time.  For greater "
"assurance that the contents are truly unrecoverable, consider using shred."
--
Man page: unexpand.1
Issue: Missing full stop at end and after "positions"

"use comma separated list of tab positions The last specified position can be "
"prefixed with '/' to specify a tab size to use after the last explicitly "
"specified tab stop.  Also a prefix of '+' can be used to align remaining tab "
"stops relative to the last specified tab stop instead of the first column"

-- 
      Dr. Helge Kreutzmann                     [email-masked]
           Dipl.-Phys.                   http://www.helgefjell.de/debian.php
        64bit GNU powered                     gpg signed mail preferred
           Help keep free software "libre": http://www.ffii.de/